#language: ru

Функционал: 12_oper_planning. Заполнение справочников Ресурсные спецификации + Шаблоны этапов + Шаблоны РС

Сценарий: 12_oper_planning. Создание спецификации на Сепарацию
	Дано Я подключаюсь под "Администратор"
	И Я начинаю создавать Ресурсную спецификацию "oper_planning_Сепарация"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Сепарация'
	И я нажимаю на кнопку открытия поля "Вид РЦ"
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'oper_planning_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле 'N след. этапа' я ввожу текст '0'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сепарация'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '20'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'мин'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'oper_planning_Сепаратор' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '20 000,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации)'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'oper_planning_Молоко' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '10 000,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сепарация'    |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации) *'
	И я перехожу к закладке "Выходные изделия"
	И в таблице "ВыходныеИзделия" я добавляю строку
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'oper_planning_Обрат' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '9 100,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сепарация'    |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'N' | 'Основное' | 'Характеристика'    |
		| '1' | 'Нет'      | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ВыходныеИзделияКонтекстноеМенюУдалить' на элементе формы с именем "ВыходныеИзделия"
	И в таблице "ВыходныеИзделия" я активизирую поле "Партия запуска"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	Тогда открылось окно 'Настройка партии запуска'
	И из выпадающего списка "Макс" я выбираю точное значение '9 100 кг'
	И в поле 'Мин' я ввожу текст '8 000,000'
	И из выпадающего списка "Оптимальный" я выбираю точное значение '9 100 кг'
	И в поле 'Кратно' я ввожу текст '100,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'oper_planning_Сливки' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '700,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сепарация'    |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Количество' | 'Номенклатура'         | 'Основное' | 'Характеристика'    | 'Этап'      |
		| '2' | 'кг'       | '700,000'    | 'oper_planning_Сливки' | 'Нет'      | '<не используются>' | 'Сепарация' |
	И в таблице "ВыходныеИзделия" я активизирую поле "Партия запуска"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	Тогда открылось окно 'Настройка партии запуска'
	И в поле 'Макс' я ввожу текст '900,000'
	И в поле 'Мин' я ввожу текст '500,000'
	И из выпадающего списка "Оптимальный" я выбираю точное значение '700 кг'
	И в поле 'Кратно' я ввожу текст '100,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации) *'
	И я перехожу к закладке "Материалы и работы"
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле 'Действует с' я ввожу текст '14.03.2018'
	Тогда элемент формы "Действует с" стал равен '14.03.2018'
	И я нажимаю на кнопку 'Действует'
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации)'
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сепарация (Ресурсные спецификации)'
	И Я закрываю окно 'oper_planning_Сепарация (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И Я закрываю окно 'Ресурсные спецификации'

Сценарий: 12_oper_planning. Создание спецификации на Смесь 50%
	И Я начинаю создавать Ресурсную спецификацию "oper_planning_Смесь 50%"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Нормализация'
	И я нажимаю на кнопку открытия поля "Вид РЦ"
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'oper_planning_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле 'N след. этапа' я ввожу текст '0'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Подача обрата' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Подача молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'Нормализация смешиванием' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '30'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'мин'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'               |
		| 'oper_planning_Нормализация' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '100 000,00'
	И в таблице "РабочиеЦентры" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Смесь 50% (Ресурсные спецификации)'
	И я перехожу к закладке "Выходные изделия"
	И в таблице "ВыходныеИзделия" я добавляю новую строку
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияНоменклатура"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'oper_planning_Смесь 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияОсновное"
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я устанавливаю флаг 'Основное'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияЭтап"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я активизирую поле "Партия запуска"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	Тогда открылось окно 'Настройка партии запуска'
	И в поле 'Макс' я ввожу текст '20 000,000'
	И из выпадающего списка "Мин" я выбираю точное значение '10 000 кг'
	И из выпадающего списка "Оптимальный" я выбираю точное значение '10 000 кг'
	И в поле 'Кратно' я ввожу текст '10 000,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'oper_planning_Смесь 50% (Ресурсные спецификации) *'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	 |
		| 'oper_planning_Молоко' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг 'Основное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '9 800,000'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'oper_planning_Обрат' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '300,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 50% (Ресурсные спецификации) *'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '14.03.2018'
	Тогда элемент формы "Действует с" стал равен '14.03.2018'
	И я нажимаю на кнопку 'Действует'
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Смесь 50% (Ресурсные спецификации)'
	И Я закрываю окно 'oper_planning_Смесь 50% (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И я закрываю окно 'Ресурсные спецификации'

Сценарий: 12_oper_planning. Создание спецификации на Смесь 45%
	И Я начинаю создавать Ресурсную спецификацию "oper_planning_Смесь 45%"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Нормализация'
	И я нажимаю на кнопку открытия поля "Вид РЦ"
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'oper_planning_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле 'N след. этапа' я ввожу текст '0'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Подача обрата' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Подача молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'Нормализация смешиванием' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '30'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'мин'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'               |
		| 'oper_planning_Нормализация' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '100 000,00'
	И в таблице "РабочиеЦентры" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Смесь 45% (Ресурсные спецификации)'
	И я перехожу к закладке "Выходные изделия"
	И в таблице "ВыходныеИзделия" я добавляю новую строку
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияНоменклатура"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	    	|
		| 'oper_planning_Смесь 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияОсновное"
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я устанавливаю флаг 'Основное'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияЭтап"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я активизирую поле "Партия запуска"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	Тогда открылось окно 'Настройка партии запуска'
	И в поле 'Макс' я ввожу текст '20 000,000'
	И из выпадающего списка "Мин" я выбираю точное значение '10 000 кг'
	И из выпадающего списка "Оптимальный" я выбираю точное значение '10 000 кг'
	И в поле 'Кратно' я ввожу текст '10 000,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'oper_planning_Смесь 45% (Ресурсные спецификации) *'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	     |
		| 'oper_planning_Молоко' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг 'Основное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '9 500,000'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'oper_planning_Обрат' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '600,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Смесь 45% (Ресурсные спецификации) *'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '14.03.2018'
	Тогда элемент формы "Действует с" стал равен '14.03.2018'
	И я нажимаю на кнопку 'Действует'
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Смесь 45% (Ресурсные спецификации)'
	И Я закрываю окно 'oper_planning_Смесь 45% (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И я закрываю окно 'Ресурсные спецификации'

Сценарий: 12_oper_planning. Создание рецептуры на сыр Российский 50%
	И Я начинаю создавать Ресурсную спецификацию "oper_planning_Российский 50%"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Варка'
	И я нажимаю на кнопку открытия поля "Вид РЦ"
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'oper_planning_Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Подача смеси' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Выгрузка в бассейн' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '60'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'мин'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Сыроизготовитель №1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '100 000,00'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '2'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Сыроизготовитель №2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '200 000,00'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации)'
	И в таблице "ЭтапыСписок" я нажимаю на кнопку с именем 'ЭтапыСписокСоздать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Упаковка'
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'oper_planning_Упаковка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'Соление Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '2'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'ч'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И я перехожу к закладке "Рабочие центры"
	И я устанавливаю флаг 'Контролировать время нахождения'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'oper_planning_Упаковка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" я активизирую поле "Производительность, кг/ч"
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '70 000,00'
	И в таблице "РабочиеЦентры" в поле 'Норма времени (ч)' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации)'
	И в таблице "ЭтапыСписок" я нажимаю на кнопку с именем 'ЭтапыСписокСоздать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Созревание'
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'oper_planning_Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'Созревание Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '2'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'ч'
	И я перехожу к закладке "Рабочие центры"
	И я устанавливаю флаг 'Контролировать время нахождения'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" в поле 'Норма времени (ч)' я ввожу текст '2'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Камера созревания 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '2'
	И в таблице "РабочиеЦентры" в поле 'Норма времени (ч)' я ввожу текст '2'
	И в поле 'N след. этапа' я ввожу текст '0'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации)'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'oper_planning_Смесь 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '10 000,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                   |
		| 'oper_planning_Ароматизатор Масло 16256 (масло)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '1,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                       |
		| 'oper_planning_Закваска Ceska L 100' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '1,900'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| 'oper_planning_Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '950,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиПроизводитсяВПроцессе'
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиИсточникПолученияПолуфабриката"
	И в таблице "МатериалыИУслуги" я выбираю текущую строку
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиИсточникПолученияПолуфабриката"
	Тогда открылось окно 'Этапы производства изделия oper_planning_Российский 50% / Варка'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'   |
		| 'Варка'  |
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыВыбрать'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'oper_planning_Пакет ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '212,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| 'oper_planning_Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '947,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревание'   |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиПроизводитсяВПроцессе'
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиИсточникПолученияПолуфабриката"
	И в таблице "МатериалыИУслуги" я выбираю текущую строку
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиИсточникПолученияПолуфабриката"
	Тогда открылось окно 'Этапы производства изделия oper_planning_Российский 50% / На созревании'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'     |
		| 'Упаковка' |
	И в таблице "Этапы" я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И я перехожу к закладке "Выходные изделия"
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| 'oper_planning_Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '950,000'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'N' | 'Основное' | 'Характеристика'    |
		| '1' | 'Нет'      | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ВыходныеИзделияКонтекстноеМенюУдалить' на элементе формы с именем "ВыходныеИзделия"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я активизирую поле "Партия запуска"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	Тогда открылось окно 'Настройка партии запуска'
	И в поле 'Макс' я ввожу текст '1 000,000'
	И в поле 'Мин' я ввожу текст '920,000'
	И в поле 'Кратно' я ввожу текст '10,000'
	И из выпадающего списка "Оптимальный" я выбираю точное значение '950 кг'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'oper_planning_Сыворотка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '9 100,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| 'oper_planning_Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '947,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| 'oper_planning_Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревание'   |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '935,000'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '14.03.2018'
	Тогда элемент формы "Действует с" стал равен '14.03.2018'
	И я нажимаю на кнопку 'Действует'	
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Российский 50% (Ресурсные спецификации)'
	И Я закрываю окно 'oper_planning_Российский 50% (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И Я закрываю окно 'Ресурсные спецификации'

Сценарий: 12_oper_planning. Создание спецификации на Сливочный 45%
	И Я начинаю создавать Ресурсную спецификацию "oper_planning_Сливочный 45%"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Варка'
	И я нажимаю на кнопку открытия поля "Вид РЦ"
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'oper_planning_Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Подача смеси' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Выгрузка в бассейн' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '60'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'мин'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Сыроизготовитель №1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '100 000,00'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Сыроизготовитель №2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '200 000,00'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '2'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации)'
	И в таблице "ЭтапыСписок" я нажимаю на кнопку с именем 'ЭтапыСписокСоздать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Упаковка'
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'oper_planning_Упаковка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          |
		| 'Соление Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '2'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'ч'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И я перехожу к закладке "Рабочие центры"
	И я устанавливаю флаг 'Контролировать время нахождения'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'oper_planning_Упаковка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" я активизирую поле "Производительность, кг/ч"
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '70 000,00'
	И в таблице "РабочиеЦентры" в поле 'Норма времени (ч)' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации)'
	И в таблице "ЭтапыСписок" я нажимаю на кнопку с именем 'ЭтапыСписокСоздать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Созревание'
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'oper_planning_Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'Созревание Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '3'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'ч'
	И я перехожу к закладке "Рабочие центры"
	И я устанавливаю флаг 'Контролировать время нахождения'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" в поле 'Норма времени (ч)' я ввожу текст '3'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Камера созревания 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '2'
	И в таблице "РабочиеЦентры" в поле 'Норма времени (ч)' я ввожу текст '3'
	И в поле 'N след. этапа' я ввожу текст '0'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации)'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'oper_planning_Смесь 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '10 000,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                   |
		| 'oper_planning_Ароматизатор Масло 16256 (масло)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '1,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                       |
		| 'oper_planning_Закваска Ceska L 100' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '1,900'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'oper_planning_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '950,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиПроизводитсяВПроцессе'
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиИсточникПолученияПолуфабриката"
	И в таблице "МатериалыИУслуги" я выбираю текущую строку
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиИсточникПолученияПолуфабриката"
	Тогда открылось окно 'Этапы производства изделия oper_planning_Сливочный 45% / Варка'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'   |
		| 'Варка'  |
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыВыбрать'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'oper_planning_Пакет ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '212,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'oper_planning_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '947,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревание'   |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиПроизводитсяВПроцессе'
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиИсточникПолученияПолуфабриката"
	И в таблице "МатериалыИУслуги" я выбираю текущую строку
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиИсточникПолученияПолуфабриката"
	Тогда открылось окно 'Этапы производства изделия oper_planning_Сливочный 45% / На созревании'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'     |
		| 'Упаковка' |
	И в таблице "Этапы" я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И я перехожу к закладке "Выходные изделия"
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'N' | 'Основное' | 'Характеристика'    |
		| '1' | 'Нет'      | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ВыходныеИзделияКонтекстноеМенюУдалить' на элементе формы с именем "ВыходныеИзделия"
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'oper_planning_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '950,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я активизирую поле "Партия запуска"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	Тогда открылось окно 'Настройка партии запуска'
	И в поле 'Макс' я ввожу текст '1 000,000'
	И в поле 'Мин' я ввожу текст '920,000'
	И в поле 'Кратно' я ввожу текст '10,000'
	И из выпадающего списка "Оптимальный" я выбираю точное значение '950 кг'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'oper_planning_Сыворотка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '9 100,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'oper_planning_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '947,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'oper_planning_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревание'   |
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '935,000'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '14.03.2018'
	Тогда элемент формы "Действует с" стал равен '14.03.2018'
	И я нажимаю на кнопку 'Действует'
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сливочный 45% (Ресурсные спецификации)'
	И Я закрываю окно 'oper_planning_Сливочный 45% (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И Я закрываю окно 'Ресурсные спецификации'

Сценарий: 12_oper_planning. Создание спецификации на резку Сливочный 200 г
	И Я начинаю создавать Ресурсную спецификацию "oper_planning_Сливочный 45% резка 200 г"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку с именем 'ЭтапыСписокСоздать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Нарезка'
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'oper_planning_Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И я нажимаю кнопку выбора у поля "Наладка"
	Тогда открылось окно 'Варианты наладок'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр 200 г'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Резка 200 г'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '25'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'мин'
	И в поле 'N след. этапа' я ввожу текст '0'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           |
		| 'oper_planning_Линия маркировки сыров 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           |
		| 'oper_planning_Линия маркировки сыров 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '2'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           |
		| 'oper_planning_Линия маркировки сыров 3' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '3'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации)'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'oper_planning_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '1 000,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И я перехожу к закладке "Выходные изделия"
	И я удаляю все строки таблицы 'ВыходныеИзделия'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'oper_planning_Сливочный 45% 200г' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка 200 г (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '5 000,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка 200 г (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я активизирую поле "Партия запуска"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	Тогда открылось окно 'Настройка партии запуска'
	И в поле 'Макс' я ввожу текст '1 000,000'
	И в поле 'Мин' я ввожу текст '500,000'
	И в поле 'Кратно' я ввожу текст '500,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '14.03.2018'
	Тогда элемент формы "Действует с" стал равен '14.03.2018'
	И я нажимаю на кнопку 'Действует'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации)'
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации)'
	И Я закрываю окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И Я закрываю окно 'Ресурсные спецификации'

Сценарий: 12_oper_planning. Создание спецификации на резку Сливочный 300 г
	И Я начинаю создавать Ресурсную спецификацию "oper_planning_Сливочный 45% резка 300 г"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку с именем 'ЭтапыСписокСоздать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Нарезка'
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'oper_planning_Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И я нажимаю кнопку выбора у поля "Наладка"
	Тогда открылось окно 'Варианты наладок'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр 300 г'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Резка 300 г'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '30'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'мин'
	И в поле 'N след. этапа' я ввожу текст '0'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           |
		| 'oper_planning_Линия маркировки сыров 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '2'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           |
		| 'oper_planning_Линия маркировки сыров 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           |
		| 'oper_planning_Линия маркировки сыров 3' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '3'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации)'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'oper_planning_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '1 000,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И я перехожу к закладке "Выходные изделия"
	И я удаляю все строки таблицы 'ВыходныеИзделия'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'oper_planning_Сливочный 45% 300г' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '3 333,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я активизирую поле "Партия запуска"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	Тогда открылось окно 'Настройка партии запуска'
	И в поле 'Макс' я ввожу текст '1 000,000'
	И в поле 'Мин' я ввожу текст '500,000'
	И в поле 'Кратно' я ввожу текст '500,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации) *'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '14.03.2018'
	Тогда элемент формы "Действует с" стал равен '14.03.2018'
	И я нажимаю на кнопку 'Действует'
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации)'
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации)'
	И Я закрываю окно 'oper_planning_Сливочный 45% резка * г (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И Я закрываю окно 'Ресурсные спецификации'

Сценарий: 12_oper_planning. Создание спецификации на резку Российский 300 г
	И Я начинаю создавать Ресурсную спецификацию "oper_planning_Российский 50% резка 300 г"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку с именем 'ЭтапыСписокСоздать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Нарезка'
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'oper_planning_Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И я нажимаю кнопку выбора у поля "Наладка"
	Тогда открылось окно 'Варианты наладок'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр 300 г'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "Операции" я нажимаю на кнопку с именем 'ОперацииДобавить'
	И в таблице "Операции" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Резка 300 г'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле с именем 'Длительность' я ввожу текст '30'
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'мин'
	И в поле 'N след. этапа' я ввожу текст '0'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           |
		| 'oper_planning_Линия маркировки сыров 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           |
		| 'oper_planning_Линия маркировки сыров 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '2'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           |
		| 'oper_planning_Линия маркировки сыров 3' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '3'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации)'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я устанавливаю флаг с именем 'МатериалыИУслугиОсновное'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| 'oper_planning_Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" в поле с именем 'МатериалыИУслугиКоличество' я ввожу текст '1 000,000'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита с именем "МатериалыИУслугиЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации) *'
	И я перехожу к закладке "Выходные изделия"
	И я удаляю все строки таблицы 'ВыходныеИзделия'
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Российский 50% 300г' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '3 333,000'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита с именем "ВыходныеИзделияЭтап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияДоляСтоимости' я ввожу текст '1'
	И в таблице "ВыходныеИзделия" я активизирую поле "Партия запуска"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	Тогда открылось окно 'Настройка партии запуска'
	И в поле 'Макс' я ввожу текст '1 000,000'
	И в поле 'Мин' я ввожу текст '500,000'
	И в поле 'Кратно' я ввожу текст '500,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации) *'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '14.03.2018'
	Тогда элемент формы "Действует с" стал равен '14.03.2018'
	И я нажимаю на кнопку 'Действует'
	Тогда открылось окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации)'
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации)'
	И Я закрываю окно 'oper_planning_Российский 50% резка * г (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И Я закрываю окно 'Ресурсные спецификации'